Package org.opensaml.soap.wspolicy

# Interface PolicyReference

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSPolicyObject`, `XMLObject`

All Known Implementing Classes:
  `PolicyReferenceImpl`

public interface PolicyReference extends AttributeExtensibleXMLObject, WSPolicyObject
The wsp:PolicyReference element.

See Also:
  - "WS-Policy (http://schemas.xmlsoap.org/ws/2004/09/policy)"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DIGEST_ALGORITHM_ATTRIB_NAME`
The wsp:PolicyReference/@Digest attribute local name.
`static final String`
`DIGEST_ALGORITHM_SHA1EXC`
The default wsp:PolicyReference/@DigestAlgorithm attribute value.
`static final String`
`DIGEST_ATTRIB_NAME`
The wsp:PolicyReference/@Digest attribute local name.
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`URI_ATTRIB_NAME`
The wsp:PolicyReference/@URI attribute local name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigest()`
Returns the wsp:PolicyReference/@Digest attribute URI value.
`String`
`getDigestAlgorithm()`
Returns the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.
`String`
`getURI()`
Returns the wsp:PolicyReference/@URI attribute value.
`void`
`setDigest(String digest)`
Sets the wsp:PolicyReference/@Digest attribute URI value.
`void`
`setDigestAlgorithm(String digestAlgorithm)`
Sets the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.
`void`
`setURI(String uri)`
Sets the wsp:PolicyReference/@URI attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### URI_ATTRIB_NAME

@Nonnull @NotEmpty static final String URI_ATTRIB_NAME
The wsp:PolicyReference/@URI attribute local name.

See Also:
  - Constant Field Values

### DIGEST_ATTRIB_NAME

@Nonnull @NotEmpty static final String DIGEST_ATTRIB_NAME
The wsp:PolicyReference/@Digest attribute local name.

See Also:
  - Constant Field Values

### DIGEST_ALGORITHM_ATTRIB_NAME

@Nonnull @NotEmpty static final String DIGEST_ALGORITHM_ATTRIB_NAME
The wsp:PolicyReference/@Digest attribute local name.

See Also:
  - Constant Field Values

### DIGEST_ALGORITHM_SHA1EXC

@Nonnull @NotEmpty static final String DIGEST_ALGORITHM_SHA1EXC
The default wsp:PolicyReference/@DigestAlgorithm attribute value.

See Also:
  - Constant Field Values

## Method Details

### getURI

@Nullable String getURI()
Returns the wsp:PolicyReference/@URI attribute value.

Returns:
  the URI attribute value.

### setURI

void setURI(@Nullable String uri)
Sets the wsp:PolicyReference/@URI attribute value.

Parameters:
  `uri` - the URI attribute value to set.

### getDigest

@Nullable String getDigest()
Returns the wsp:PolicyReference/@Digest attribute URI value.

Returns:
  the Digest attribute URI value.

### setDigest

void setDigest(@Nullable String digest)
Sets the wsp:PolicyReference/@Digest attribute URI value.

Parameters:
  `digest` - the Digest attribute URI value to set.

### getDigestAlgorithm

@Nullable String getDigestAlgorithm()
Returns the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.

Returns:
  the DigestAlgoritm attribute Base64 binary value.

### setDigestAlgorithm

void setDigestAlgorithm(@Nullable String digestAlgorithm)
Sets the wsp:PolicyReference/@DigestAlgoritm attribute Base64 binary value.

Parameters:
  `digestAlgorithm` - the DigestAlgoritm attribute Base64 binary value to set.